import { GoabCheckboxOnChangeDetail } from "@abgov/ui-components-common";
import { EventEmitter, TemplateRef } from "@angular/core";
import { GoabControlValueAccessor } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabCheckbox extends GoabControlValueAccessor {
    name?: string;
    checked?: boolean;
    text?: string;
    value?: string | number | boolean;
    ariaLabel?: string;
    description: string | TemplateRef<any>;
    reveal?: TemplateRef<any>;
    revealArialLabel?: string;
    maxWidth?: string;
    onChange: EventEmitter<GoabCheckboxOnChangeDetail>;
    getDescriptionAsString(): string;
    getDescriptionAsTemplate(): TemplateRef<any> | null;
    _onChange(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabCheckbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabCheckbox, "goab-checkbox", never, { "name": { "alias": "name"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "text": { "alias": "text"; "required": false; }; "value": { "alias": "value"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "description": { "alias": "description"; "required": false; }; "reveal": { "alias": "reveal"; "required": false; }; "revealArialLabel": { "alias": "revealArialLabel"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; }, { "onChange": "onChange"; }, never, ["*"], true, never>;
    static ngAcceptInputType_checked: unknown;
}
