import { GoabChipTheme, GoabChipVariant, GoabIconType } from "@abgov/ui-components-common";
import { EventEmitter } from "@angular/core";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabChip extends GoabBaseComponent {
    leadingIcon?: GoabIconType | null;
    error?: boolean;
    deletable?: boolean;
    content?: string;
    variant?: GoabChipVariant;
    iconTheme?: GoabChipTheme;
    onClick: EventEmitter<any>;
    _onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabChip, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabChip, "goab-chip", never, { "leadingIcon": { "alias": "leadingIcon"; "required": false; }; "error": { "alias": "error"; "required": false; }; "deletable": { "alias": "deletable"; "required": false; }; "content": { "alias": "content"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "iconTheme": { "alias": "iconTheme"; "required": false; }; }, { "onClick": "onClick"; }, never, ["*"], true, never>;
    static ngAcceptInputType_error: unknown;
    static ngAcceptInputType_deletable: unknown;
}
