import { GoabDatePickerInputType, GoabDatePickerOnChangeDetail } from "@abgov/ui-components-common";
import { EventEmitter, ElementRef } from "@angular/core";
import { GoabControlValueAccessor } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabDatePicker extends GoabControlValueAccessor {
    protected elementRef: ElementRef;
    name?: string;
    value?: Date | string | null | undefined;
    min?: Date | string;
    max?: Date | string;
    type?: GoabDatePickerInputType;
    /***
     * @deprecated This property has no effect and will be removed in a future version
     */
    relative?: boolean;
    onChange: EventEmitter<GoabDatePickerOnChangeDetail>;
    formatValue(val: Date | string | null | undefined): string;
    _onChange(e: Event): void;
    constructor(elementRef: ElementRef);
    setDisabledState(isDisabled: boolean): void;
    listenDisabledChange(isDisabled: boolean): void;
    writeValue(value: Date | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabDatePicker, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabDatePicker, "goab-date-picker", never, { "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "type": { "alias": "type"; "required": false; }; "relative": { "alias": "relative"; "required": false; }; }, { "onChange": "onChange"; }, never, never, true, never>;
}
