import { GoabFileUploadOnCancelDetail, GoabFileUploadOnDeleteDetail } from "@abgov/ui-components-common";
import { EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
export declare class GoabFileUploadCard {
    filename: string;
    size?: number;
    type?: string;
    progress?: number;
    error?: string;
    testId?: string;
    onCancel: EventEmitter<GoabFileUploadOnCancelDetail>;
    onDelete: EventEmitter<GoabFileUploadOnDeleteDetail>;
    _onCancel(): void;
    _onDelete(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabFileUploadCard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabFileUploadCard, "goab-file-upload-card", never, { "filename": { "alias": "filename"; "required": true; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "progress": { "alias": "progress"; "required": false; }; "error": { "alias": "error"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, { "onCancel": "onCancel"; "onDelete": "onDelete"; }, never, never, true, never>;
    static ngAcceptInputType_size: unknown;
    static ngAcceptInputType_progress: unknown;
}
