import { GoabFormItemLabelSize, GoabFormItemRequirement } from "@abgov/ui-components-common";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabFormItem extends GoabBaseComponent {
    label?: string;
    labelSize?: GoabFormItemLabelSize;
    helpText?: string;
    error?: string;
    requirement?: GoabFormItemRequirement;
    maxWidth?: string;
    id?: string;
    /**
     * Public form: to arrange fields in the summary
     */
    publicFormSummaryOrder?: number;
    /**
     * Public form: allow to override the label value within the form-summary to provide a shorter description of the value
     */
    name?: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabFormItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabFormItem, "goab-form-item", never, { "label": { "alias": "label"; "required": false; }; "labelSize": { "alias": "labelSize"; "required": false; }; "helpText": { "alias": "helpText"; "required": false; }; "error": { "alias": "error"; "required": false; }; "requirement": { "alias": "requirement"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "id": { "alias": "id"; "required": false; }; "publicFormSummaryOrder": { "alias": "publicFormSummaryOrder"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, {}, never, ["*", "goab-form-item-slot"], true, never>;
}
