import { GoabIconButtonVariant, GoabIconSize, GoabIconType } from "@abgov/ui-components-common";
import { EventEmitter } from "@angular/core";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabIconButton extends GoabBaseComponent {
    icon: GoabIconType;
    size?: GoabIconSize;
    variant?: GoabIconButtonVariant;
    title?: string;
    disabled?: boolean;
    ariaLabel?: string;
    action?: string;
    actionArg?: string;
    actionArgs?: Record<string, unknown>;
    onClick: EventEmitter<any>;
    _onClick(): void;
    protected readonly JSON: JSON;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabIconButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabIconButton, "goab-icon-button", never, { "icon": { "alias": "icon"; "required": true; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "title": { "alias": "title"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "action": { "alias": "action"; "required": false; }; "actionArg": { "alias": "actionArg"; "required": false; }; "actionArgs": { "alias": "actionArgs"; "required": false; }; }, { "onClick": "onClick"; }, never, ["*"], true, never>;
    static ngAcceptInputType_disabled: unknown;
}
