import { GoabIconSize, GoabIconTheme, GoabIconType } from "@abgov/ui-components-common";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabIcon extends GoabBaseComponent {
    type: GoabIconType;
    size?: GoabIconSize;
    theme?: GoabIconTheme;
    inverted?: boolean;
    fillColor?: string;
    opacity?: number;
    title?: string;
    ariaLabel?: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabIcon, "goab-icon", never, { "type": { "alias": "type"; "required": true; }; "size": { "alias": "size"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "inverted": { "alias": "inverted"; "required": false; }; "fillColor": { "alias": "fillColor"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "title": { "alias": "title"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_inverted: unknown;
    static ngAcceptInputType_opacity: unknown;
}
