import { GoabModalCalloutVariant, GoabModalTransition } from "@abgov/ui-components-common";
import { EventEmitter, TemplateRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class GoabModal {
    calloutVariant?: GoabModalCalloutVariant;
    open?: boolean;
    maxWidth?: string;
    closable: boolean;
    transition?: GoabModalTransition;
    testId?: string;
    role?: string;
    heading: string | TemplateRef<any>;
    actions: TemplateRef<any>;
    onClose: EventEmitter<any>;
    getHeadingAsString(): string;
    getHeadingAsTemplate(): TemplateRef<any> | null;
    _onClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabModal, "goab-modal", never, { "calloutVariant": { "alias": "calloutVariant"; "required": false; }; "open": { "alias": "open"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "closable": { "alias": "closable"; "required": false; }; "transition": { "alias": "transition"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "role": { "alias": "role"; "required": false; }; "heading": { "alias": "heading"; "required": false; }; "actions": { "alias": "actions"; "required": false; }; }, { "onClose": "onClose"; }, never, ["*"], true, never>;
    static ngAcceptInputType_open: unknown;
}
