import { TemplateRef } from "@angular/core";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabRadioItem extends GoabBaseComponent {
    value?: string;
    label?: string;
    name?: string;
    description: string | TemplateRef<any>;
    reveal?: TemplateRef<any>;
    ariaLabel?: string;
    revealAriaLabel?: string;
    disabled?: boolean;
    checked?: boolean;
    error?: boolean;
    maxWidth?: string;
    getDescriptionAsString(): string;
    getDescriptionAsTemplate(): TemplateRef<any> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabRadioItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabRadioItem, "goab-radio-item", never, { "value": { "alias": "value"; "required": false; }; "label": { "alias": "label"; "required": false; }; "name": { "alias": "name"; "required": false; }; "description": { "alias": "description"; "required": false; }; "reveal": { "alias": "reveal"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "revealAriaLabel": { "alias": "revealAriaLabel"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "error": { "alias": "error"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; }, {}, never, ["*"], true, never>;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_checked: unknown;
    static ngAcceptInputType_error: unknown;
}
