import { GoabTextAreaCountBy, GoabTextAreaOnChangeDetail, GoabTextAreaOnKeyPressDetail } from "@abgov/ui-components-common";
import { EventEmitter } from "@angular/core";
import { GoabControlValueAccessor } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabTextArea extends GoabControlValueAccessor {
    name?: string;
    placeholder?: string;
    rows?: number;
    readOnly?: boolean;
    width?: string;
    ariaLabel?: string;
    countBy?: GoabTextAreaCountBy;
    maxCount?: number;
    maxWidth?: string;
    onChange: EventEmitter<GoabTextAreaOnChangeDetail>;
    onKeyPress: EventEmitter<GoabTextAreaOnKeyPressDetail>;
    _onChange(e: Event): void;
    _onKeyPress(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabTextArea, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabTextArea, "goab-textarea", never, { "name": { "alias": "name"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; "width": { "alias": "width"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "countBy": { "alias": "countBy"; "required": false; }; "maxCount": { "alias": "maxCount"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; }, { "onChange": "onChange"; "onKeyPress": "onKeyPress"; }, never, never, true, never>;
    static ngAcceptInputType_rows: unknown;
    static ngAcceptInputType_readOnly: unknown;
}
