import { GoabAccordionHeadingSize, GoabAccordionIconPosition } from "@abgov/ui-components-common";
import { TemplateRef, EventEmitter } from "@angular/core";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabAccordion extends GoabBaseComponent {
    heading?: string;
    secondaryText?: string;
    open?: boolean;
    headingSize?: GoabAccordionHeadingSize;
    headingContent: TemplateRef<any>;
    maxWidth?: string;
    iconPosition?: GoabAccordionIconPosition;
    onChange: EventEmitter<boolean>;
    _onChange(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabAccordion, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabAccordion, "goab-accordion", never, { "heading": { "alias": "heading"; "required": false; }; "secondaryText": { "alias": "secondaryText"; "required": false; }; "open": { "alias": "open"; "required": false; }; "headingSize": { "alias": "headingSize"; "required": false; }; "headingContent": { "alias": "headingContent"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "iconPosition": { "alias": "iconPosition"; "required": false; }; }, { "onChange": "onChange"; }, never, ["*"], true, never>;
    static ngAcceptInputType_open: unknown;
}
