import { GoabButtonSize, GoabButtonType, GoabButtonVariant, GoabIconType } from "@abgov/ui-components-common";
import { EventEmitter } from "@angular/core";
import { GoabBaseComponent } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabButton extends GoabBaseComponent {
    type?: GoabButtonType;
    size?: GoabButtonSize;
    variant?: GoabButtonVariant;
    disabled?: boolean;
    leadingIcon?: GoabIconType;
    trailingIcon?: GoabIconType;
    width?: string;
    action?: string;
    actionArg?: string;
    actionArgs?: Record<string, unknown>;
    onClick: EventEmitter<any>;
    _onClick(): void;
    protected readonly JSON: JSON;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabButton, "goab-button", never, { "type": { "alias": "type"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "leadingIcon": { "alias": "leadingIcon"; "required": false; }; "trailingIcon": { "alias": "trailingIcon"; "required": false; }; "width": { "alias": "width"; "required": false; }; "action": { "alias": "action"; "required": false; }; "actionArg": { "alias": "actionArg"; "required": false; }; "actionArgs": { "alias": "actionArgs"; "required": false; }; }, { "onClick": "onClick"; }, never, ["*"], true, never>;
    static ngAcceptInputType_disabled: unknown;
}
