import { EventEmitter, TemplateRef } from "@angular/core";
import { GoabDrawerPosition, GoabDrawerSize } from "@abgov/ui-components-common";
import * as i0 from "@angular/core";
export declare class GoabDrawer {
    open: boolean;
    position: GoabDrawerPosition;
    heading: string | TemplateRef<any>;
    maxSize?: GoabDrawerSize;
    testId?: string;
    actions: TemplateRef<any>;
    onClose: EventEmitter<any>;
    _onClose(): void;
    getHeadingAsString(): string;
    getHeadingAsTemplate(): TemplateRef<any> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabDrawer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabDrawer, "goab-drawer", never, { "open": { "alias": "open"; "required": true; }; "position": { "alias": "position"; "required": true; }; "heading": { "alias": "heading"; "required": false; }; "maxSize": { "alias": "maxSize"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "actions": { "alias": "actions"; "required": false; }; }, { "onClose": "onClose"; }, never, ["*"], true, never>;
    static ngAcceptInputType_open: unknown;
}
