import { GoabDropdownOnChangeDetail, GoabIconType } from "@abgov/ui-components-common";
import { EventEmitter } from "@angular/core";
import { GoabControlValueAccessor } from "../base.component";
import * as i0 from "@angular/core";
export declare class GoabDropdown extends GoabControlValueAccessor {
    name?: string;
    ariaLabel?: string;
    ariaLabelledBy?: string;
    filterable?: boolean;
    leadingIcon?: GoabIconType;
    maxHeight?: string;
    multiselect?: boolean;
    native?: boolean;
    placeholder?: string;
    width?: string;
    /***
     * @deprecated This property has no effect and will be removed in a future version
     */
    relative?: boolean;
    onChange: EventEmitter<GoabDropdownOnChangeDetail>;
    _onChange(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabDropdown, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabDropdown, "goab-dropdown", never, { "name": { "alias": "name"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "ariaLabelledBy": { "alias": "ariaLabelledBy"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "leadingIcon": { "alias": "leadingIcon"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "multiselect": { "alias": "multiselect"; "required": false; }; "native": { "alias": "native"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "width": { "alias": "width"; "required": false; }; "relative": { "alias": "relative"; "required": false; }; }, { "onChange": "onChange"; }, never, ["*"], true, never>;
    static ngAcceptInputType_filterable: unknown;
    static ngAcceptInputType_multiselect: unknown;
    static ngAcceptInputType_native: unknown;
}
