import { GoabLinkTarget, GoabServiceLevel } from "@abgov/ui-components-common";
import { TemplateRef, EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
export declare class GoabMicrositeHeader {
    type: GoabServiceLevel;
    version: string | TemplateRef<any>;
    feedbackUrl?: string;
    testId?: string;
    maxContentWidth?: string;
    feedbackUrlTarget?: GoabLinkTarget;
    headerUrlTarget?: GoabLinkTarget;
    onFeedbackClick: EventEmitter<any>;
    getVersionAsString(): string;
    getVersionAsTemplate(): TemplateRef<any> | null;
    _onFeedbackClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabMicrositeHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabMicrositeHeader, "goab-microsite-header", never, { "type": { "alias": "type"; "required": true; }; "version": { "alias": "version"; "required": false; }; "feedbackUrl": { "alias": "feedbackUrl"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "maxContentWidth": { "alias": "maxContentWidth"; "required": false; }; "feedbackUrlTarget": { "alias": "feedbackUrlTarget"; "required": false; }; "headerUrlTarget": { "alias": "headerUrlTarget"; "required": false; }; }, { "onFeedbackClick": "onFeedbackClick"; }, never, never, true, never>;
}
